# RMA Event Endpoint: POST /rmas Version: 5.0.0 ## Header parameters: - `X-Optiturn-Id` (string, required) Example: "Modrno" - `X-Optiturn-Api-Version` (string, required) Enum: 3 ## Request fields (application/json): - `rma_identifier` (string, required) Identifier of the RMA. Example: "RMA123" - `status` (string, required) The status of the RMA. Enum: "PENDING_EXCHANGE", "CREATED", "REFUNDED", "PARTIAL_REFUND", "CANCELED" - `created_at` (string, required) Creation date in ISO 8601 format, UTC. Example: "2018-08-30T15:39:42.025Z" - `updated_at` (string) Last updated date in ISO 8601 format, UTC. Example: "2018-08-30T15:39:42.025Z" - `items` (array, required) List of items that are being returned in the RMA. - `items.order_line_item_identifier` (string, required) The item's identifier in the order. Example: "1" - `items.order_identifier` (string, required) Public facing identifier for the order. Example: "O9876" - `items.secondary_identifier` (string) OMS or backend system identifier for the original order. Used when ecommerce and fulfillment platforms have unique identifiers. Example: "STVMD0123" - `items.exchange_order_identifier` (string) The identifier of the exchange order. Used when the item being returned was chosen to be exchanged. - `items.original_order_identifier` (string) Only populated when returning an exchange item. Refers back to the order that was exchanged. - `items.return_reason` (string, required) The shopper chosen reason for returning the item. Example: "Too Small" - `items.is_exchange` (boolean) Indicates whether the RMA item belongs to an exchange order - `items.sku` (string, required) Unique product identifier of item. Example: "Sku1234" - `items.upc` (string, required) Unique product code of item. Example: "00123456789012" - `items.tracking_number` (string) Tracking number of the package the item is located in. Example: "1Z938174729103" - `items.package_tracking_status` (string) The status of the package that the RMA item is in. For Express Returns, ACCEPTED is when item has been accepted at a dropoff location. However, NOT_DROPPED_OFF is when item has not been dropped off in a partially accepted RMA. For Home Pickups, ACCEPTED is when the item has been picked up by a pickup provider. Upon carrier scan a package status can be moved to TRANSIT Enum: null, "PRE_TRANSIT", "ACCEPTED", "TRANSIT", "DELIVERED", "RETURNED", "FAILURE", "NOT_DROPPED_OFF" - `items.receiving_status` (string) The item's receiving status. Only populated when using Optoro's Returns Management. Enum: "PENDING", "RECEIVED", "NOT_RECEIVED" - `items.refund_financials` (object, required) RMA item financial information used for calculating the refund amount. - `items.refund_financials.estimated_refund_amount_cents` (integer, required) Total possible refund amount based on goods returned. Example: 100 - `items.refund_financials.optoro_refund_amount_cents` (integer, required) Amount Optoro will be paid based on instant exchange usage. - `items.refund_financials.shopper_refund_amount_cents` (integer, required) Estimated amount the shopper will be refunded based on instant exchange usage. Example: 100 - `items.refund_type` (string, required) The refund type for the item. Enum: "REFUND", "STANDARD_EXCHANGE", "INSTANT_EXCHANGE", "INSTANT_STORE_CREDIT" - `items.warehouse_receipt_condition` (string) The condition of the item when it was received at the warehouse. Example: "N" - `return_method` (string, required) Return method used to return the RMA. Enum: "mail-back", "express-returns", "customer-keep", "home-pickup" - `return_shipping_cost_cents` (integer, required) The return shipping cost. Example: 100 - `bonus_credit_amount_cents` (integer, required) The bonus credit granted to the shopper. Example: 500 - `gift_refund_only` (boolean, required) If true, only issue a gift card and do not refund original purchase payment. Example: true - `giftee_email` (string) Email to send gift card when gift_refund_only is true Example: "giftee@example.com" - `warehouse_id` (string) Warehouse that return goods will be shipped to when using dynamic package routing - `receiving_complete` (boolean) This is for RM only. - `concept` (string) RMA portal identifier Example: "concept_!" - `vendor` (string) Vendor name from third party tag. Only present if any of the products of the corresponding order has this type of tag. Example: "modrno" - `customer` (object) Customer details - `customer.tags` (array) List of customer tags from the order associated with this RMA. Example: ["some-customer-tag","SilverTier"] ## Response 200 fields